%define name    clumanager
%define version 1.0.11
%define release 1

# $Revision: 1.11 $
#
# Red Hat Cluster Manager RPM spec file.
# 
Summary: Open source high availability clustering for Linux
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: System Environment/Base
Source: %{name}-%{version}.tar.gz
Buildroot: %{_tmppath}/%{name}-%{version}-buildroot
Prereq: /sbin/chkconfig

%description
Red Hat Cluster Manager provides continuous availability of critical server
applications in the event of planned or unplanned system downtime. The cluster
is continuously monitored to safeguard against network, storage, or application
failures. It provides interfaces for integration of proprietary applications
and includes native support for high availability NFS and Samba services.
%prep
%setup -q
./autogen.sh
./configure

%build
make clean
make

%install
make install "DESTDIR=$RPM_BUILD_ROOT"

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config %{_sysconfdir}/rc.d/init.d/cluster
/sbin/*
%{_libdir}/stonith
%{_datadir}/cluster
%{_mandir}/*/*
%{_localstatedir}/www/cgi-bin/xmquery
%{_localstatedir}/www/html/Cluster

%doc

%post
/sbin/chkconfig --add cluster

%preun
if [ $1 = 0 ]; then
   /sbin/chkconfig --del cluster
fi

%postun


%changelog
* Mon Mar 25 2002 John Flanagan <flanagan@redhat.com>
- Check packages reference count in preun for upgrades

* Tue Feb 19 2002 Tim Powers <timp@redhat.com>
- don't just have / as the file listing, list individual files and dirs the package owns
- use tmppath for the RPM_BUILD_ROOT

